com.google.gwt.cell.client

## Class ClickableTextCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<C>
  - - com.google.gwt.cell.client.AbstractSafeHtmlCell<java.lang.String>
    - - com.google.gwt.cell.client.ClickableTextCell

- All Implemented Interfaces:
    Cell<java.lang.String>

      public class ClickableTextCell
      extends AbstractSafeHtmlCell<java.lang.String>

  A `Cell` used to render text. Clicking on the cell causes its `ValueUpdater` to be called.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

      `Cell.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClickableTextCell()` Construct a new ClickableTextCell that will use a `SimpleSafeHtmlRenderer`.
    `ClickableTextCell(SafeHtmlRenderer<java.lang.String> renderer)` Construct a new ClickableTextCell that will use a given `SafeHtmlRenderer`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBrowserEvent(Cell.Context context, Element parent, java.lang.String value, NativeEvent event, ValueUpdater<java.lang.String> valueUpdater)` Handle a browser event that took place within the cell.
    `protected void` | `onEnterKeyDown(Cell.Context context, Element parent, java.lang.String value, NativeEvent event, ValueUpdater<java.lang.String> valueUpdater)` Called when the user triggers a `keydown` event with the ENTER key while focused on the cell.
    `protected void` | `render(Cell.Context context, SafeHtml value, SafeHtmlBuilder sb)` Render the cell contents after they have been converted to `SafeHtml` form.

    - ### Methods inherited from class com.google.gwt.cell.client.AbstractSafeHtmlCell

      `getRenderer, render`

    - ### Methods inherited from class com.google.gwt.cell.client.AbstractCell

      `dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, resetFocus, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClickableTextCell

          public ClickableTextCell()

      Construct a new ClickableTextCell that will use a `SimpleSafeHtmlRenderer`.

    - #### ClickableTextCell

          public ClickableTextCell(SafeHtmlRenderer<java.lang.String> renderer)

      Construct a new ClickableTextCell that will use a given `SafeHtmlRenderer`.
      Parameters:
        `renderer` - a `SafeHtmlRenderer` instance

  - ### Method Detail

    - #### onBrowserEvent

          public void onBrowserEvent(Cell.Context context,
                                     Element parent,
                                     java.lang.String value,
                                     NativeEvent event,
                                     ValueUpdater<java.lang.String> valueUpdater)

      Description copied from class: `AbstractCell`
      Handle a browser event that took place within the cell. The default implementation returns null.

      If you override this method to add support for events, remember to pass the event types that the cell expects into the constructor.

      Specified by:
        `onBrowserEvent` in interface `Cell<java.lang.String>`
      Overrides:
        `onBrowserEvent` in class `AbstractCell<java.lang.String>`
      Parameters:
        `context` - the `Cell.Context` of the cell
        `parent` - the parent Element
        `value` - the value associated with the cell
        `event` - the native browser event
        `valueUpdater` - a `ValueUpdater`, or null if not specified

    - #### onEnterKeyDown

          protected void onEnterKeyDown(Cell.Context context,
                                        Element parent,
                                        java.lang.String value,
                                        NativeEvent event,
                                        ValueUpdater<java.lang.String> valueUpdater)

      Description copied from class: `AbstractCell`
      Called when the user triggers a `keydown` event with the ENTER key while focused on the cell. If your cell interacts with the user, you should override this method to provide a consistent user experience. Your widget must consume `keydown` events for this method to be called.
      Overrides:
        `onEnterKeyDown` in class `AbstractCell<java.lang.String>`
      Parameters:
        `context` - the `Context` of the cell
        `parent` - the parent Element
        `value` - the value associated with the cell
        `event` - the native browser event
        `valueUpdater` - a `ValueUpdater`, or null if not specified

    - #### render

          protected void render(Cell.Context context,
                                SafeHtml value,
                                SafeHtmlBuilder sb)

      Description copied from class: `AbstractSafeHtmlCell`
      Render the cell contents after they have been converted to `SafeHtml` form.
      Specified by:
        `render` in class `AbstractSafeHtmlCell<java.lang.String>`
      Parameters:
        `context` - the original context to render
        `value` - a `SafeHtml` string
        `sb` - the `SafeHtmlBuilder` to be written to